## SwClientItemView

SwClientItemView

## Functions

void | sw_client_item_view_start ()
void | sw_client_item_view_refresh ()

## Properties

gchar * | object-path | Read / Write / Construct Only

## Signals

void | items-added | Run First
void | items-changed | Run First
void | items-removed | Run First

## Types and Values

| SwClientItemView
| SwClientItemViewClass

## Object Hierarchy

        GObject
        ╰── SwClientItemView

## Description

## Functions

### sw_client_item_view_start ()

    void
    sw_client_item_view_start (SwClientItemView *item_view);

### sw_client_item_view_refresh ()

    void
    sw_client_item_view_refresh (SwClientItemView *item_view);

## Types and Values

### SwClientItemView

    typedef struct _SwClientItemView SwClientItemView;

### SwClientItemViewClass

    typedef struct {
      GObjectClass parent_class;
      void (*items_added)(SwClientItemView *item_view, GList *items);
      void (*items_removed)(SwClientItemView *item_view, GList *items);
      void (*items_changed)(SwClientItemView *item_view, GList *item);
    } SwClientItemViewClass;

## Property Details

### The `“object-path”` property

      “object-path”              gchar *

DBUS path to the item_view's object.

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“items-added”` signal

    void
    user_function (SwClientItemView *self,
                   gpointer          items,
                   gpointer          user_data)

#### Parameters

items | . | [type GLib.List][element-type SocialWebClient.Item]
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“items-changed”` signal

    void
    user_function (SwClientItemView *self,
                   gpointer          items,
                   gpointer          user_data)

#### Parameters

items | . | [type GLib.List][element-type SocialWebClient.Item]
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“items-removed”` signal

    void
    user_function (SwClientItemView *self,
                   gpointer          items,
                   gpointer          user_data)

#### Parameters

items | . | [type GLib.List][element-type SocialWebClient.Item]
user_data | user data set when the signal handler was connected. |

Flags: Run First